package fontconfig-config 2.8.0-3ubuntu9 failed to install/upgrade: ErrorMessage: subprocess installed post-installation script returned error exit status 1

Bug #1039828 reported by Philip Muškovac on 2012-08-22
36
This bug affects 7 people
Affects Status Importance Assigned to Milestone
fontconfig (Ubuntu)
High
Stéphane Graber
Precise
High
Stéphane Graber
Quantal
High
Stéphane Graber

Bug Description

[rationale]
Updating fontconfig-config on a system with files inside of /var/lib/defoma/fontconfig.d/ will make the postinst fail.
It's apparently the case on Kubuntu and Mythbuntu systems at least when doing LTS-to-LTS upgrades.

[test case]
1) touch /var/lib/defoma/fontconfig.d/test
2) Update the package
3) Check the update result

If it works, then we're good.

[regression potential]
Not much expected here, the directory won't be removed if it contains something, so it might lead to a case where something checks for the directory existence and goes through the wrong path. That being said, we're not aware of any such check and even so, it'd likely be far better than having the system fail to upgrade.

Setting up fontconfig-config (2.8.0-3ubuntu9) ...^M
Installing new version of config file /etc/fonts/conf.avail/40-nonlatin.conf ...^M
Installing new version of config file /etc/fonts/conf.avail/65-nonlatin.conf ...^M
Can't locate File/Copy.pm in @INC (@INC contains: /etc/perl /usr/local/lib/perl/5.10.1 /usr/local/share/perl/5.10.1 /usr/lib/perl5 /usr/share/perl5 /usr/lib/perl/5.10 /usr/share/perl/5.10 /usr/local/lib/site_perl .) at /usr/bin/defoma-app line 7.^M
BEGIN failed--compilation aborted at /usr/bin/defoma-app line 7.^M
rmdir: failed to remove `/var/lib/defoma/fontconfig.d/': Directory not empty^M
dpkg: error processing fontconfig-config (--configure):^M
 subprocess installed post-installation script returned error exit status 1^M

Probably a dupe of bug 990555.

ProblemType: Package
DistroRelease: Ubuntu 12.04
Package: fontconfig-config 2.8.0-3ubuntu9
ProcVersionSignature: Ubuntu 2.6.32-42.95-server 2.6.32.59+drm33.24
Uname: Linux 2.6.32-42-server x86_64
ApportVersion: 2.0.1-0ubuntu12
Architecture: amd64
Date: Wed Aug 22 00:11:15 2012
ErrorMessage: ErrorMessage: subprocess installed post-installation script returned error exit status 1
PackageArchitecture: all
SourcePackage: fontconfig
Title: package fontconfig-config 2.8.0-3ubuntu9 failed to install/upgrade: ErrorMessage: subprocess installed post-installation script returned error exit status 1
UpgradeStatus: Upgraded to precise on 2012-08-22 (0 days ago)

Philip Muškovac (yofel) wrote :
Ubuntu QA Website (ubuntuqa) wrote :

This bug has been reported on the Ubuntu ISO testing tracker.

A list of all reports related to this bug can be found here:
http://iso.qa.ubuntu.com/qatracker/reports/bugs/1039828

tags: added: iso-testing
Changed in fontconfig (Ubuntu Precise):
status: New → Triaged
Changed in fontconfig (Ubuntu Quantal):
status: New → Triaged
Changed in fontconfig (Ubuntu Precise):
importance: Undecided → High
Changed in fontconfig (Ubuntu Quantal):
importance: Undecided → High
Changed in fontconfig (Ubuntu Precise):
assignee: nobody → Stéphane Graber (stgraber)
Changed in fontconfig (Ubuntu Quantal):
assignee: nobody → Stéphane Graber (stgraber)
Changed in fontconfig (Ubuntu Precise):
milestone: none → ubuntu-12.04.1
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package fontconfig - 2.10.1-0ubuntu3

---------------
fontconfig (2.10.1-0ubuntu3) quantal; urgency=low

  * Fix fontconfig-config postinst to ignore rmdir failures when removing
    /var/lib/defoma/fontconfig.d/ as some systems have files in there.
    (LP: #1039828)
 -- Stephane Graber <email address hidden> Wed, 22 Aug 2012 00:09:02 -0400

Changed in fontconfig (Ubuntu Quantal):
status: Triaged → Fix Released
description: updated
description: updated
Stéphane Graber (stgraber) wrote :

The extra file in mythbuntu's case is called id-cache and isn't owned by any package, it's likely created by some maintainer script when calling defoma. The file itself doesn't seem to belong in that directory at all.

Hello Philip, or anyone else affected,

Accepted fontconfig into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/fontconfig/2.8.0-3ubuntu9.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please change the bug tag from verification-needed to verification-done. If it does not, change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in fontconfig (Ubuntu Precise):
status: Triaged → Fix Committed
tags: added: verification-needed
Stéphane Graber (stgraber) wrote :

BEFORE:
root@tpl-lucid-amd64-temp-BRBIx1T:~# apt-get install fontconfig-config
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following packages will be upgraded:
  fontconfig-config
1 upgraded, 0 newly installed, 0 to remove and 186 not upgraded.
Need to get 44.4kB of archives.
After this operation, 137kB disk space will be freed.
Get:1 http://archive.ubuntu.com/ubuntu/ precise/main fontconfig-config 2.8.0-3ubuntu9 [44.4kB]
Fetched 44.4kB in 0s (1114kB/s)
(Reading database ... 14033 files and directories currently installed.)
Preparing to replace fontconfig-config 2.8.0-2ubuntu1 (using .../fontconfig-config_2.8.0-3ubuntu9_all.deb) ...
Unpacking replacement fontconfig-config ...
Setting up fontconfig-config (2.8.0-3ubuntu9) ...
Installing new version of config file /etc/fonts/conf.avail/40-nonlatin.conf ...
Installing new version of config file /etc/fonts/conf.avail/65-nonlatin.conf ...
rmdir: failed to remove `/var/lib/defoma/fontconfig.d/': Directory not empty
dpkg: error processing fontconfig-config (--configure):
 subprocess installed post-installation script returned error exit status 1
Errors were encountered while processing:
 fontconfig-config
E: Sub-process /usr/bin/dpkg returned an error code (1)

AFTER:
root@tpl-lucid-amd64-temp-BRBIx1T:~# apt-get install fontconfig-config
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following packages will be upgraded:
  fontconfig-config
1 upgraded, 0 newly installed, 0 to remove and 186 not upgraded.
1 not fully installed or removed.
Need to get 44.4kB of archives.
After this operation, 0B of additional disk space will be used.
Get:1 http://archive.ubuntu.com/ubuntu/ precise-proposed/main fontconfig-config 2.8.0-3ubuntu9.1 [44.4kB]
Fetched 44.4kB in 0s (208kB/s)
(Reading database ... 14032 files and directories currently installed.)
Preparing to replace fontconfig-config 2.8.0-3ubuntu9 (using .../fontconfig-config_2.8.0-3ubuntu9.1_all.deb) ...
Unpacking replacement fontconfig-config ...
Setting up fontconfig-config (2.8.0-3ubuntu9.1) ...

tags: added: verification-done
removed: verification-needed

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package fontconfig - 2.8.0-3ubuntu9.1

---------------
fontconfig (2.8.0-3ubuntu9.1) precise-proposed; urgency=low

  * Fix fontconfig-config postinst to ignore rmdir failures when removing
    /var/lib/defoma/fontconfig.d/ as some systems have files in there.
    (LP: #1039828)
 -- Stephane Graber <email address hidden> Thu, 16 Aug 2012 19:15:09 -0400

Changed in fontconfig (Ubuntu Precise):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers